/* Reset */
html {
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  margin: 0;
}

article,
aside,
figure,
footer,
header,
aside,
main,
nav {
  display: block;
}

fieldset {
  border: 0;
  padding: 0;
  margin: 0;
  min-width: 0;
}


:root {
  --fluid-min-width: 320;
  --fluid-max-width: 980;
  --fluid-min-size: 15;
  --fluid-max-size: 18;
  --fluid-min-ratio: 1.2;
  --fluid-max-ratio: 1.33;
  
  --fluid-screen: 100vw;
  --fluid-bp: calc((var(--fluid-screen) - ((var(--fluid-min-width) / 16) * 1rem)) / ((var(--fluid-max-width) / 16) - (var(--fluid-min-width) / 16)));
}

@media screen and (min-width: 980) {
  :root {
    --fluid-screen: calc(var(--fluid-max-width) * 1px);
  }
}

:root {
  --fluid-min-scale-0: var(--fluid-min-ratio);
  --fluid-min-scale-1: var(--fluid-min-scale-0) * var(--fluid-min-ratio);
  --fluid-min-scale-2: var(--fluid-min-scale-1) * var(--fluid-min-ratio);
  --fluid-min-scale-3: var(--fluid-min-scale-2) * var(--fluid-min-ratio);
  --fluid-min-scale-4: var(--fluid-min-scale-3) * var(--fluid-min-ratio);
  --fluid-min-scale-5: var(--fluid-min-scale-4) * var(--fluid-min-ratio);

  --fluid-max-scale-0: var(--fluid-max-ratio);
  --fluid-max-scale-1: var(--fluid-max-scale-0) * var(--fluid-max-ratio);
  --fluid-max-scale-2: var(--fluid-max-scale-1) * var(--fluid-max-ratio);
  --fluid-max-scale-3: var(--fluid-max-scale-2) * var(--fluid-max-ratio);
  --fluid-max-scale-4: var(--fluid-max-scale-3) * var(--fluid-max-ratio);
  --fluid-max-scale-5: var(--fluid-max-scale-4) * var(--fluid-max-ratio);

  --fluid-min-size-0: (var(--fluid-min-size)) / 16;
  --fluid-min-size-1: (var(--fluid-min-size) * var(--fluid-min-scale-0)) / 16;
  --fluid-min-size-2: (var(--fluid-min-size) * var(--fluid-min-scale-1)) / 16;
  --fluid-min-size-3: (var(--fluid-min-size) * var(--fluid-min-scale-2)) / 16;
  --fluid-min-size-4: (var(--fluid-min-size) * var(--fluid-min-scale-3)) / 16;
  --fluid-min-size-5: (var(--fluid-min-size) * var(--fluid-min-scale-4)) / 16;

  --fluid-max-size-0: (var(--fluid-max-size)) / 16;
  --fluid-max-size-1: (var(--fluid-max-size) * var(--fluid-max-scale-0)) / 16;
  --fluid-max-size-2: (var(--fluid-max-size) * var(--fluid-max-scale-1)) / 16;
  --fluid-max-size-3: (var(--fluid-max-size) * var(--fluid-max-scale-2)) / 16;
  --fluid-max-size-4: (var(--fluid-max-size) * var(--fluid-max-scale-3)) / 16;
  --fluid-max-size-5: (var(--fluid-max-size) * var(--fluid-max-scale-4)) / 16;

  --fluid--1: calc(((var(--fluid-min-size-0) * 0.8rem) + (var(--fluid-max-size-0) - var(--fluid-min-size-0)) * var(--fluid-bp)));
  --fluid-0: calc(((var(--fluid-min-size-0) * 1rem) + (var(--fluid-max-size-0) - var(--fluid-min-size-0)) * var(--fluid-bp)));
  --fluid-1: calc(((var(--fluid-min-size-1) * 1rem) + (var(--fluid-max-size-1) - var(--fluid-min-size-1)) * var(--fluid-bp)));
  --fluid-2: calc(((var(--fluid-min-size-2) * 1rem) + (var(--fluid-max-size-2) - var(--fluid-min-size-2)) * var(--fluid-bp)));
  --fluid-3: calc(((var(--fluid-min-size-3) * 1rem) + (var(--fluid-max-size-3) - var(--fluid-min-size-3)) * var(--fluid-bp)));
  --fluid-4: calc(((var(--fluid-min-size-4) * 1rem) + (var(--fluid-max-size-4) - var(--fluid-min-size-4)) * var(--fluid-bp)));
  --fluid-5: calc(((var(--fluid-min-size-5) * 1rem) + (var(--fluid-max-size-5) - var(--fluid-min-size-5)) * var(--fluid-bp)));
}

@font-face {
  font-family: 'Preston';
  src: url('/fonts/Preston-Regular.eot');
  src: url('/fonts/Preston-Regular.eot?#iefix') format('embedded-opentype'),
       url('/fonts/Preston-Regular.woff2') format('woff2'),
       url('/fonts/Preston-Regular.woff') format('woff');
  font-weight: 400;
  font-style: normal;
  font-display: fallback;
}
@font-face {
  font-family: 'Preston';
  src: url('/fonts/Preston-RegularItalic.eot');
  src: url('/fonts/Preston-RegularItalic.eot?#iefix') format('embedded-opentype'),
       url('/fonts/Preston-RegularItalic.woff2') format('woff2'),
       url('/fonts/Preston-RegularItalic.woff') format('woff');
  font-weight: 400;
  font-style: italic;
  font-display: fallback;
}
@font-face {
  font-family: 'Preston';
  src: url('/fonts/Preston-Medium.eot');
  src: url('/fonts/Preston-Medium.eot?#iefix') format('embedded-opentype'),
       url('/fonts/Preston-Medium.woff2') format('woff2'),
       url('/fonts/Preston-Medium.woff') format('woff');
  font-weight: 500;
  font-style: normal;
  font-display: fallback;
}
@font-face {
  font-family: 'Preston';
  src: url('/fonts/Preston-MediumItalic.eot');
  src: url('/fonts/Preston-MediumItalic.eot?#iefix') format('embedded-opentype'),
       url('/fonts/Preston-MediumItalic.woff2') format('woff2'),
       url('/fonts/Preston-MediumItalic.woff') format('woff');
  font-weight: 500;
  font-style: italic;
  font-display: fallback;
}



/* Typography */
body {
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-text-size-adjust: 100%;
  color: #222;
  font-family: Preston, Univers, "Helvetica Neue", Helvetica, Arial, sans-serif;
}

h1,
h2,
h3,
h4 {
  font-weight: 900;
  line-height: 1.2;
  margin: 0.5em 0;
}

h1 {
  font-size: var(--fluid-2);
  margin: 0;
  font-weight: 500;
}
.subtitle {
  display: block;
  font-weight: 400;
}

h2 {
  font-size: var(--fluid-1);
  font-weight: 400;
}

h3 {
  margin: 1.5em 0 0;
}
h3+p {
  margin-top: 0.25em;
}

a {
  color: #222;
  text-decoration: none;
}
a:hover,
a:focus {
  color: #222;
  text-decoration: none;
}


/* Grid */
.container {
  padding-right: var(--fluid-1);
  padding-left: var(--fluid-1);
  margin-right: auto;
  margin-left: auto;
  width: 980px;
  max-width: 95%;
}


/* Blocks */
.skip-to-content-link {
  height: 40px;
  left: 43%;
  padding: 8px 0 0;
  position: absolute;
  transform: translateY(-100%);
  transition: transform 0.3s;
}
.skip-to-content-link:focus {
  transform: translateY(0%);
}

main {
  padding: 2%;
}

.notebooksList {
  display: grid;
  gap: 2%;
  list-style: none;
  grid-template-columns: repeat(2, 1fr);
  padding: 0;
}
.notebooksList-link {
  text-decoration: none;
}
.notebooksList-image {
  max-width: 100%;
}

.notebookPage {
  -webkit-touch-callout: none;
  -webkit-user-select:none;
  user-select:none;
}

/* .notebook {
  position: relative;
}

.notebook:before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  pointer-events: none;
  z-index: 1;
} */

/* .notebook img {
  pointer-events: none;
  -webkit-touch-callout: none;
  -webkit-user-select: none; 
  -khtml-user-select: none; 
  -moz-user-select: none; 
  -ms-user-select: none; 
  user-select: none;
  margin-bottom: 2vh;
  width: 100%;
} */
/* 
.notebookPage {
  overflow-x: hidden;
} */

/* .notebook {
  --n: 1;
  display: flex;
  align-items: center;
  overflow-y: hidden;
  width: 200%;
  width: calc(var(--n)*200%);
  min-height: 360px;
  transform: translate(calc(var(--tx, 0px) + var(--i, 0)/var(--n)*-50%));
  margin-top: 25px;
  cursor: pointer;
}
.notebook img {
  width: 100%;
  width: calc(100%/var(--n));
  user-select: none;
  pointer-events: none;
} */

/* .smooth {
  transition: transform calc(var(--f, 1)*.5s) ease-out;
} */

.carousel-cell {
  min-height: 390px;
  width: 100%;
}
.carousel-cell img {
  max-width: 100%;
}

.swiper-container {
  width: 100%;
  height: 100%;
  padding-bottom: 36px!important;
}
.swiper-slide img {
  width: 100%;
}
